<?php
/* Mantenimiento de los registros de la tabla PR_Grupo redefinidos por el usaurio */
class PR_GrupoDP extends BasePR_GrupoDP
{
    public function generaPromoId()
    {
        $o_PR_TipoGrupoFN = new PR_TipoGrupoFN();
        $o_PR_TipoGrupoBN = $o_PR_TipoGrupoFN->selectByPK( $this->getIdPrTipoId() );
        if( $o_PR_TipoGrupoBN )
        {
            $o_utilGenerateId = new utilGenerateId();
            $o_utilGenerateId->setIdCompania( myUser::getUser()->getIdBusiness() );
            $o_utilGenerateId->setTipoCorrelativo( $o_PR_TipoGrupoBN->getIdPrTipoId() );
            $o_utilGenerateId->setSerie( $o_PR_TipoGrupoBN->getPrefijoTipo() );
            $i_IdGenerado = $o_utilGenerateId->generateIdByExt();
            $s_NumPromo = str_pad( $i_IdGenerado, 10, "0", STR_PAD_LEFT );
        }
        else
        {
            throw new Exception( "No se ecnontro referencia en PR_TipoGrupo." );
        }
        return $s_NumPromo;
    }
}